<template>
  <div class="account-cardV2">
    <div class="account-cardV2-add-tips-wrapper">
      <img :src="IconInfo" class="account-cardV2-add-tips-icon" />
      <div class="account-cardV2-add-tips">{{ tip }}</div>
    </div>
    <div class="account-cardV2-top">
      <div class="account-cardV2-content-wrapper" @click="emit('add')">
        <img :src="IconInitAdd" class="account-cardV2-init-add-icon" />
        <div class="account-cardV2-add-content">{{ content }}</div>
      </div>
    </div>
    <div class="account-cardV2-remark">{{ remark }}</div>
  </div>
</template>

<script setup lang="ts">
import IconInitAdd from '../../assets/recharge/icon-init-add.png';
import IconInfo from '../../assets/recharge/icon-info.png';

defineOptions({
  name: 'AccountAddCardV2',
});

type Props = {
  content?: string;
  remark?: string;
  showEditBtn?: boolean;
  tip?: string;
};

const props = withDefaults(defineProps<Props>(), {});

const emit = defineEmits<{
  (e: 'add'): void;
}>();
</script>
